Script Editor in Apple OS X before 10.11.1 allows remote attackers to bypass an intended user-confirmation requirement for AppleScript execution via unspecified vectors.
Published 2015-10-23 21:59:42
Updated 2016-12-24 02:59:35
Source Apple Inc.
View at NVD,   CVE.org

Exploit prediction scoring system (EPSS) score for CVE-2015-7007

97.32%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 100 %
Percentile, the proportion of vulnerabilities that are scored at or less

Metasploit modules for CVE-2015-7007

  • Safari User-Assisted Applescript Exec Attack
    Disclosure Date: 2015-10-16
    First seen: 2020-04-26
    exploit/osx/browser/safari_user_assisted_applescript_exec
    In versions of Mac OS X before 10.11.1, the applescript:// URL scheme is provided, which opens the provided script in the Applescript Editor. Pressing cmd-R in the Editor executes the code without any additional confirmation from the user. By getting the user to pres

CVSS scores for CVE-2015-7007

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
7.5
HIGH AV:N/AC:L/Au:N/C:P/I:P/A:P
10.0
6.4
NIST

References for CVE-2015-7007

Products affected by CVE-2015-7007

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!